<?php
use Give\Framework\PaymentGateways\PaymentGateway;
use Give\Framework\PaymentGateways\Commands\PaymentRefunded;
use Give\Framework\PaymentGateways\Exceptions\PaymentGatewayException;
use Give\Donations\Models\Donation;

class BayarcashLineCreditGateway extends PaymentGateway {
	use BayarcashPaymentTrait;

	public static function id(): string {
		return 'bayarcash_linecredit_block';
	}

	public function getId(): string {
		return self::id();
	}

	public function getName(): string {
		return __('Bayarcash Credit Card Account', 'bayarcash-for-givewp');
	}

	public function getPaymentMethodLabel(): string {
		return __('Credit Card', 'bayarcash-for-givewp');
	}

	/**
	 * @throws PaymentGatewayException
	 */
	public function refundDonation(Donation $donation): PaymentRefunded {
		throw new PaymentGatewayException(__('Refunds are not yet supported.', 'bayarcash-for-givewp'));
	}
}